# Copyright (c) 2019-2022, Lawrence Livermore National Security, LLC and
# other Serac Project Developers. See the top-level LICENSE file for
# details.
#
# SPDX-License-Identifier: (BSD-3-Clause)
#------------------------------------------------------------------------------
# Host-config for example. 
# Defines configuration variables from Serac's build.
#------------------------------------------------------------------------------

# Config related to compiler
set(CMAKE_C_COMPILER              "/usr/bin/cc"       CACHE PATH "")
set(CMAKE_CXX_COMPILER            "/usr/bin/c++"     CACHE PATH "")
set(CMAKE_CXX_STANDARD            "17"     CACHE STRING "")
set(CMAKE_Fortran_COMPILER        "" CACHE PATH "")
set(MPI_C_COMPILER                "/usr/local/bin/mpicc"         CACHE PATH "")
set(MPI_CXX_COMPILER              "/usr/local/bin/mpicxx"       CACHE PATH "")
set(MPI_Fortran_COMPILER          ""   CACHE PATH "")
set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE                       CACHE BOOL "")

set(CMAKE_C_FLAGS            " -Wall -Wextra  -O2 -pipe  -fstack-protector-strong -fno-strict-aliasing  -Werror "          CACHE STRING "")
set(CMAKE_CXX_FLAGS          " -Wall -Wextra  -O2 -pipe -fstack-protector-strong -fno-strict-aliasing     -Werror  -Wshadow -Wdouble-promotion -Wconversion -Wundef -Wnull-dereference -Wold-style-cast  -Wpedantic -Wno-c++2a-extensions -Wunused-private-field "        CACHE STRING "")
set(CMAKE_EXE_LINKER_FLAGS   " -fstack-protector-strong -rdynamic" CACHE STRING "")

# MPI
set(MPIEXEC_EXECUTABLE "/usr/local/bin/mpiexec" CACHE PATH "")
set(MPIEXEC_NUMPROC_FLAG "-n" CACHE STRING "")

# Path to Serac
set(SERAC_DIR        "/usr/local" CACHE PATH "")
