// Copyright (c) 2019-2022, Lawrence Livermore National Security, LLC and
// other Serac Project Developers. See the top-level LICENSE file for
// details.
//
// SPDX-License-Identifier: (BSD-3-Clause)

#pragma once

// Serac Version Information
// clang-format off
#define SERAC_VERSION_MAJOR 0
#define SERAC_VERSION_MINOR 0
#define SERAC_VERSION_PATCH 1
#define SERAC_VERSION_FULL  "v0.0.1"
// clang-format on
/*NOTE: Do not add SERAC_GIT_SHA here.  This will force
 * full rebuild on all local changes. It is added in serac::version()
 * and serac::about(), as well as accessible from serac::gitSha().
 */

// Serac Locations
#define SERAC_REPO_DIR "/wrkdirs/usr/ports/science/serac/work/serac-07b8ef1"
#define SERAC_BIN_DIR "/wrkdirs/usr/ports/science/serac/work/.build"

// General defines
/* #undef SERAC_DEBUG */

/* #undef SERAC_USE_CUDA */
#define SERAC_USE_LUMBERJACK

// Compiler defines for TPLs
#define SERAC_USE_AXOM
#define SERAC_USE_CONDUIT
/* #undef SERAC_USE_FMT */
#define SERAC_USE_HDF5
#define SERAC_USE_LUA
#define SERAC_USE_MFEM
#define SERAC_USE_MPI
/* #undef SERAC_USE_TRIBOL */
/* #undef SERAC_USE_ADIAK */
/* #undef SERAC_USE_CALIPER */
/* #undef SERAC_USE_RAJA */
/* #undef SERAC_USE_UMPIRE */
